Page MenuHomePhabricator

Add inital support in WikidataBuildResources for install via composer-merge-plugin
Closed, ResolvedPublic

Description

WikidataBuildResources needs some modifications in order to work if installed with composer-merge-plugin into a mediawiki installation.

Event Timeline

aude created this task.Apr 10 2015, 10:42 AM
aude claimed this task.
aude raised the priority of this task from to Normal.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 10:42 AM
aude moved this task from Backlog to Doing on the Wikidata-Sprint-2015-04-07 board.
aude removed a subscriber: Wikidata-Sprint-2015-04-07.
aude moved this task from Doing to Review on the Wikidata-Sprint-2015-04-07 board.Apr 14 2015, 6:35 AM
aude added a comment.Apr 15 2015, 9:34 AM

the remaining issue is to support dynamically generating the sharedCacheKeySetting, or handling it differently in a way that works with composer-merge-plugin and the current build approach.

aude added a comment.Apr 20 2015, 6:41 PM

created T96598 for the outstanding issue, but imho think this bug can be closed now.

aude renamed this task from Add support in WikidataBuildResources for install via composer-merge-plugin to Add inital support in WikidataBuildResources for install via composer-merge-plugin.Apr 20 2015, 6:42 PM
aude closed this task as Resolved.
aude moved this task from Review to Done on the Wikidata-Sprint-2015-04-07 board.